# Class Template

java.lang.Object
org.eclipse.rap.rwt.template.Template

All Implemented Interfaces:
  `Serializable, Adaptable`

public class Template extends Object implements Serializable, Adaptable
Templates are used to describe how a given data item is presented by a widget.

Templates can be applied to multiple widgets within the same UI session.

Since:
  2.2
See Also:
  - `RWT.ROW_TEMPLATE`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Template()`
Constructs an empty template.

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getAdapter(Class<T> adapter)`
IMPORTANT: This method is not part of the RWT public API.
`List<Cell<?>>`
`getCells()`
Returns the list of cells included in this template.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Template

public Template()
Constructs an empty template.

## Method Details

### getCells

public List<Cell<?>> getCells()
Returns the list of cells included in this template. Modifications to the returned list will not change the template.

Returns:
  the list of cells in this template, may be empty but never `null`

### getAdapter

public <T> T getAdapter(Class<T> adapter)
IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Specified by:
  `getAdapter` in interface `Adaptable`
Parameters:
  `adapter` - the lookup class
Returns:
  an object that can be cast to the given class or `null` if there is no adapter associated with the given class.